Interactive Standard ML lab for trace critical-path analysis.
-
Updated
Jul 30, 2026 - Standard ML
Interactive Standard ML lab for trace critical-path analysis.
AFL++ fuzzing framework for the Poly/ML compiler on ARM64. Finds bugs using ASan/UBSan instrumentation on Linux ARM64
Pure Standard ML PK ZIP archive read/write (store + deflate, CRC-32, central directory) (MLton + Poly/ML)
Namespaced XML parser, DOM, and serializer for Standard ML (entities, CDATA, comments). Pure, dual-compiler.
Pure Standard ML X.509 certificate parser and RSA signature verifier (MLton + Poly/ML, deterministic).
Curve25519 Diffie-Hellman key exchange (RFC 7748) in pure Standard ML
Pure Standard ML human-comfort weather indices: NWS wind chill, NOAA heat index, humidex, apparent temperature, dew point (MLton + Poly/ML)
Pure Standard ML WAV I/O and synth/DSP: oscillators, ADSR, biquad filters (MLton + Poly/ML)
Unicode utilities for Standard ML: UTF-8/UTF-16 codecs, NFC/NFD normalization, case folding, grapheme segmentation, and display width. Pure, dual-compiler.
Pure Elm-architecture terminal UI toolkit for Standard ML: declarative widgets, an immutable screen buffer, and ANSI rendering with zero FFI (MLton + Poly/ML)
Merkle Patricia Trie for string key-value storage in pure Standard ML: prefix queries, fold/map/filter, union, bulk ops, and cryptographic root hashing (MLton + Poly/ML).
Persistent seeded treap (randomized balanced BST) in pure Standard ML: insert/delete/split/merge, ordered map, invariant validators — deterministic and byte-identical on MLton and Poly/ML.
Pure Standard ML HOTP/TOTP (RFC 4226 / RFC 6238), HMAC-SHA1/256/512 (MLton + Poly/ML)
Pure Standard ML NORAD TLE parser: checksum validation, mean-element decode, mean-motion propagation and semi-major axis (MLton + Poly/ML)
Pure Standard ML harmonic tide synthesis: constituent summation, time-series prediction, high/low-water extrema (MLton + Poly/ML)
Pure Standard ML compressible-flow thermodynamics: isentropic ratios, area-Mach relation, normal-shock jump relations (MLton + Poly/ML)
A Standard ML test framework with property-based testing, QuickCheck-style generators, forAll, and shrinking
Logic-light Mustache/Handlebars-style templating engine in pure Standard ML (MLton + Poly/ML), with HTML escaping
Pure Standard ML SVG document builder and pretty-printed serializer (MLton + Poly/ML)
To associate your repository with the polyml topic, visit your repo's landing page and select "manage topics."